function shownav()
{
	var n = document.getElementById("navHide");
	document.getElementById("user-details").style.display="none";
	document.getElementById("innr").style.display = "none";
	if(n.style.display == "block")
	{
		n.style.display = "none";
	}
	else
	{
		n.style.display = "block";
	}
}

function userDiv()
{
	var d = document.getElementById("user-details");
	if(d.style.display == "block")
	{
		document.getElementById("user-details").style.display = "none";
		document.getElementById("innr").style.display = "none";
	}
	else
	{
		document.getElementById("user-details").style.display = "block";
		document.getElementById("innr").style.display = "block";
	}
}

function submenu(Arg)
{
	var i;
	var d = document.getElementById("submenu"+Arg);
	var a = document.getElementById("angle"+Arg);
	var nol = d.getElementsByTagName('li').length;
	var dh = (35*nol)+8;
	d.style.transition = "all 1s";
	a.style.transition = "all .5s";
	if(d.style.height==dh+"px")
	{
		d.style.height = "0px";
		a.style.transform = "rotate(0deg)";
	}
	else
	{
		for(i=1; 1<=10; i++)
		{
			if(i==Arg)
			{	
				d.style.height = dh+"px";
				document.getElementById("angle"+i).style.transform = "rotate(90deg)";

			}
			else
			{	
				var od = document.getElementById("submenu"+i);
				od.style.height = "0px";
				document.getElementById("angle"+i).style.transform = "rotate(0deg)";
			}
		}
	}
}